package com.chelvc.framework.aliyun;

/**
 * 阿里云操作接口
 *
 * @author Woody
 * @date 2024/8/12
 */
public interface AliyunHandler {
    /**
     * 根据临时令牌获取手机号
     *
     * @param token 临时令牌
     * @return 手机号
     */
    String code2mobile(String token);

    /**
     * 校验智能验证码
     *
     * @param verification 验证信息
     * @return true/false
     */
    boolean verifyCaptcha(String verification);
}
