package com.chelvc.framework.base.converter;

import com.chelvc.framework.common.model.Region;
import com.chelvc.framework.common.util.ObjectUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 数字地区编码转换
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class NumberRegionConverter implements Converter<Integer, Region> {
    @Override
    public Region convert(Integer source) {
        return ObjectUtils.ifNull(source, Region::of);
    }
}
