package com.chelvc.framework.base.converter;

import java.time.Duration;

import com.chelvc.framework.common.util.StringUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串时间周期转换器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringDurationConverter implements Converter<String, Duration> {
    @Override
    public Duration convert(String source) {
        return StringUtils.ifEmpty(source, Duration::parse);
    }
}
