package com.chelvc.framework.base.converter;

import com.chelvc.framework.common.model.Paging;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串分页信息转换实现
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringPagingConverter implements Converter<String, Paging> {
    @Override
    public Paging convert(String source) {
        return Paging.parse(source);
    }
}
