package com.chelvc.framework.base.logic;

import com.chelvc.framework.common.util.StringUtils;
import lombok.NonNull;

/**
 * 包含
 *
 * @author Woody
 * @date 2025/2/25
 */
public class In extends Judge {
    /**
     * 运算符号
     */
    public static final String SYMBOL = "≈";

    public In(String left, String right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean matches(@NonNull CharSequence left, @NonNull CharSequence right) {
        return StringUtils.notEmpty(right) && left.toString().contains(right);
    }
}
