package com.chelvc.framework.base.logic;

import com.chelvc.framework.common.util.StringUtils;
import lombok.NonNull;

/**
 * 不包含
 *
 * @author Woody
 * @date 2025/2/25
 */
public class Nin extends Judge {
    /**
     * 运算符号
     */
    public static final String SYMBOL = "!≈";

    public Nin(String left, String right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean matches(@NonNull CharSequence left, @NonNull CharSequence right) {
        return StringUtils.notEmpty(left) && (StringUtils.isEmpty(right) || !left.toString().contains(right));
    }
}
