package com.chelvc.framework.base.logic;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * JSON逻辑参数变量序列化处理器
 *
 * @author Woody
 * @date 2025/2/21
 */
public class VariableJsonSerializer extends JsonSerializer<Variable> {
    @Override
    public void serialize(Variable variable, JsonGenerator generator, SerializerProvider provider) throws IOException {
        generator.writeString(variable.toString());
    }
}
