package com.chelvc.framework.common.function;

import java.io.IOException;
import java.io.OutputStream;

/**
 * 输出流接收函数
 *
 * @author Woody
 * @date 2024/6/26
 */
@FunctionalInterface
public interface OutputAcceptor {
    /**
     * 接收输出流
     *
     * @param output 输出流实例
     * @throws IOException I/O异常
     */
    void accept(OutputStream output) throws IOException;
}
