package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 方法调用阶段枚举
 *
 * @author Woody
 * @date 2024/11/7
 */
@Getter
public enum Invoking {
    /**
     * 请求
     */
    REQUEST("请求"),

    /**
     * 响应
     */
    RESPONSE("响应");

    /**
     * 阶段描述
     */
    private final String description;

    Invoking(String description) {
        this.description = description;
    }
}
