package com.chelvc.framework.common.model;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 信息更新项
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public final class Modification implements Serializable {
    /**
     * 变更项
     */
    private String name;

    /**
     * 修改前值
     */
    private Object before;

    /**
     * 修改后值
     */
    private Object after;
}
