package com.chelvc.framework.elasticsearch;

import java.io.Serializable;

/**
 * ES文档模型接口
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2025/1/6
 */
public interface Document<ID> extends Serializable {
    /**
     * 获取文档主键
     *
     * @return 文档主键
     */
    ID getId();
}
