package com.chelvc.framework.kafka.fallback;

/**
 * Kafka降级策略枚举
 *
 * @author Woody
 * @date 2024/7/14
 */
public enum KafkaFallbackPolicy {
    /**
     * 内存降级策略
     */
    MEMORY,

    /**
     * 持久化降级策略
     */
    PERSISTENT;
}
