package com.chelvc.framework.location;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 区域信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class Area implements Serializable {
    /**
     * 区域标识
     */
    private Integer id;

    /**
     * 区域名称
     */
    private String name;
}
