package com.chelvc.framework.location.config;

import com.chelvc.framework.location.LocationHandler;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 地址定位标准配置
 *
 * @author Woody
 * @date 2024/8/5
 */
@Configuration
public class StandardLocationConfigurer extends LocationConfigurer {
    @Bean
    @ConditionalOnMissingBean(LocationHandler.class)
    public LocationHandler locationHandler(LocationProperties properties) {
        return this.getLocationHandler(properties);
    }
}
