package com.chelvc.framework.rocketmq.fallback;

import org.apache.rocketmq.client.apis.message.MessageId;
import org.apache.rocketmq.client.apis.producer.SendReceipt;

/**
 * RocketMQ消息降级发送凭据
 *
 * @author Woody
 * @date 2024/7/14
 */
public class FallbackSendReceipt implements SendReceipt {
    /**
     * 消息降级发送凭据实例
     */
    public static final FallbackSendReceipt INSTANCE = new FallbackSendReceipt();

    private FallbackSendReceipt() {
    }

    @Override
    public MessageId getMessageId() {
        return null;
    }
}
