package com.chelvc.framework.security.crypto;

import com.chelvc.framework.base.context.Session;
import com.chelvc.framework.base.crypto.CipherHandler;

/**
 * 数据安全加解密处理接口
 *
 * @author Woody
 * @date 2025/1/3
 */
public interface SecurityCipherHandler extends CipherHandler {
    /**
     * 数字签名
     *
     * @param session 会话信息
     * @param payload 请求数据
     * @return 签名信息
     */
    String sign(Session session, String payload);
}
