package com.chelvc.framework.security.firewall;

/**
 * 动作执行器接口
 *
 * @author Woody
 * @date 2025/3/15
 */
public interface ActionExecutor {
    /**
     * 执行动作
     *
     * @param principal 主体信息
     * @param rule      匹配规则
     */
    void execute(String principal, Rule rule);
}
