package com.chelvc.framework.base.apidoc;

import java.lang.reflect.Method;

import com.arsframework.apidoc.core.MethodAnalyser;
import com.arsframework.apidoc.core.ParameterAnalyser;

/**
 * 自定义接口文档方法解析实现
 *
 * @author Woody
 * @date 2024/1/30
 */
public class CustomizeMethodAnalyser extends MethodAnalyser {
    public CustomizeMethodAnalyser(Method method) {
        super(method);
    }

    @Override
    protected ParameterAnalyser getParameterAnalyser() {
        return new CustomizeParameterAnalyser(this.method);
    }
}
