package com.chelvc.framework.base.context;

import java.util.Set;

/**
 * 属性配置刷新监听接口
 *
 * @author Woody
 * @date 2024/6/14
 */
public interface PropertyRefreshListener {
    /**
     * 刷新属性配置，如果参数为空则刷新所有配置
     *
     * @param properties 属性名集合
     */
    void refreshProperty(Set<String> properties);
}
