package com.chelvc.framework.base.context;

import javax.servlet.http.HttpServletRequest;

/**
 * Session对象工厂接口
 *
 * @author Woody
 * @date 2024/4/18
 */
public interface SessionFactory {
    /**
     * 构建Session对象实例
     *
     * @param request Http请求对象
     * @return Session对象实例
     */
    Session build(HttpServletRequest request);
}
