package com.chelvc.framework.base.converter;

import java.util.Date;

import com.chelvc.framework.common.util.DateUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串日期转换器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringDateConverter implements Converter<String, Date> {
    @Override
    public Date convert(String text) {
        return DateUtils.parse(text);
    }
}
