package com.chelvc.framework.base.converter;

import java.time.LocalDateTime;

import com.chelvc.framework.common.util.DateUtils;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串本地日期时间转换器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringLocalDateTimeConverter implements Converter<String, LocalDateTime> {
    @Override
    public LocalDateTime convert(String text) {
        return DateUtils.convert(DateUtils.parse(text));
    }
}
