package com.chelvc.framework.base.converter;

import com.chelvc.framework.common.model.Period;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串周期转换器
 *
 * @author Woody
 * @date 2024/1/30
 */
@Component
public class StringPeriodConverter implements Converter<String, Period> {
    @Override
    public Period convert(String source) {
        return Period.parse(source);
    }
}
