package com.chelvc.framework.base.converter;

import com.chelvc.framework.common.model.Range;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 字符串数字范围转换器
 *
 * @author Woody
 * @date 2024/10/30
 */
@Component
public class StringRangeConverter implements Converter<String, Range> {
    @Override
    public Range convert(String source) {
        return Range.parse(source);
    }
}
