package com.chelvc.framework.base.logic;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * JSON逻辑表达式对象反序列化处理器
 *
 * @author Woody
 * @date 2025/2/21
 */
public class ExpressionJsonDeserializer extends JsonDeserializer<Expression> {
    @Override
    public Expression deserialize(JsonParser parser, DeserializationContext context)
            throws IOException, JsonProcessingException {
        return Expression.parse(parser.getValueAsString());
    }
}
