package com.chelvc.framework.base.logic;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

/**
 * JSON逻辑表达式对象序列化处理器
 *
 * @author Woody
 * @date 2025/2/21
 */
public class ExpressionJsonSerializer extends JsonSerializer<Expression> {
    @Override
    public void serialize(Expression expression, JsonGenerator generator, SerializerProvider provider)
            throws IOException {
        generator.writeString(expression.toString());
    }
}
