package com.chelvc.framework.base.logic;

/**
 * 逻辑判断表达式解析器接口
 *
 * @author Woody
 * @date 2025/2/25
 */
public interface JudgeAnalyser {
    /**
     * 解析逻辑判断表达式
     *
     * @param expression 逻辑表达式
     * @return 逻辑判断实例
     */
    Judge analyse(String expression);
}
