package com.chelvc.framework.base.logic;

import com.chelvc.framework.common.util.StringUtils;
import lombok.NonNull;

/**
 * 不以字符串开头
 *
 * @author Woody
 * @date 2025/2/25
 */
public class Nst extends Judge {
    /**
     * 运算符号
     */
    public static final String SYMBOL = "!=≈";

    public Nst(String left, String right) {
        super(left, right, SYMBOL);
    }

    @Override
    public boolean matches(@NonNull CharSequence left, @NonNull CharSequence right) {
        return StringUtils.notEmpty(left)
                && (StringUtils.isEmpty(right) || !left.toString().startsWith(right.toString()));
    }
}
