package com.chelvc.framework.base.logic;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;

/**
 * JSON逻辑参数变量反序列化处理器
 *
 * @author Woody
 * @date 2025/2/21
 */
public class VariableJsonDeserializer extends JsonDeserializer<Variable> {
    @Override
    public Variable deserialize(JsonParser parser, DeserializationContext context)
            throws IOException, JsonProcessingException {
        return new Variable(parser.getValueAsString());
    }
}
