package com.chelvc.framework.common.function;

import java.io.IOException;
import java.io.InputStream;

/**
 * 输入流接收函数
 *
 * @author Woody
 * @date 2024/6/26
 */
@FunctionalInterface
public interface InputAcceptor {
    /**
     * 接收输入流
     *
     * @param input 输入流实例
     * @throws IOException I/O异常
     */
    void accept(InputStream input) throws IOException;
}
