package com.chelvc.framework.common.function;

import java.io.Serializable;
import java.util.function.BiConsumer;

/**
 * Setter函数对象接口
 *
 * @param <T> 函数调用对象类型
 * @param <U> 函数调用参数类型
 * @author Woody
 * @date 2024/1/30
 */
@FunctionalInterface
public interface Setter<T, U> extends BiConsumer<T, U>, Serializable {
}
