package com.chelvc.framework.common.function;

/**
 * 测试函数接口
 *
 * @param <T> 输入参数类型
 * @author Woody
 * @date 2024/1/30
 */
@FunctionalInterface
public interface Tester<T> {
    /**
     * 测试
     *
     * @param t 输入参数
     * @return true/false
     * @throws Exception 处理异常
     */
    boolean test(T t) throws Exception;
}
