package com.chelvc.framework.common.model;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 文件信息
 *
 * @author Woody
 * @date 2024/1/30
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class File implements Serializable {
    /**
     * 文件名称
     */
    private String name;

    /**
     * 媒体类型
     */
    private Media media;

    /**
     * 资源地址
     */
    private String url;
}
