package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 平台枚举
 *
 * @author Woody
 * @date 2024/1/30
 */
@Getter
public enum Platform {
    /**
     * PC
     */
    PC("PC"),

    /**
     * 苹果
     */
    IOS("苹果"),

    /**
     * 安卓
     */
    ANDROID("安卓"),

    /**
     * 鸿蒙
     */
    HARMONY("鸿蒙");

    /**
     * 平台描述
     */
    private final String description;

    Platform(String description) {
        this.description = description;
    }
}
