package com.chelvc.framework.database.entity;

import java.io.Serializable;

/**
 * 数据模型接口
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2024/1/30
 */
public interface Entity<ID extends Serializable> extends Model {
    /**
     * 获取主键
     *
     * @return 主键
     */
    ID getId();

    /**
     * 设置主键
     *
     * @param id 主键
     */
    void setId(ID id);
}
