package com.chelvc.framework.database.entity;

import java.io.Serializable;

/**
 * 环境隔离数据模型
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2024/6/12
 */
public interface Environmental<ID extends Serializable> extends Entity<ID> {
    /**
     * 获取环境标识
     *
     * @return 环境标识
     */
    String getEnv();

    /**
     * 设置环境标识
     *
     * @param env 环境标识
     */
    void setEnv(String env);
}
