package com.chelvc.framework.group.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 多场景分组注解
 *
 * @author Woody
 * @date 2024/9/8
 */
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Groups {
    /**
     * 获取场景分组数组
     *
     * @return 场景分组数组
     */
    Group[] value();
}
