package com.chelvc.framework.kafka.producer;

/**
 * Kafka事务消息检测接口
 *
 * @author Woody
 * @date 2024/10/29
 */
public interface KafkaTransactionChecker {
    /**
     * 事务检测
     *
     * @param message 事务消息
     * @return 事务处理决策
     */
    TransactionResolution check(TransactionMessage message);
}
