package com.chelvc.framework.security.firewall;

import java.util.List;

/**
 * 防火墙处理器接口
 *
 * @author Woody
 * @date 2025/2/26
 */
public interface FirewallProcessor {
    /**
     * 防护处理，返回值 true:继续执行请求、false:中断请求
     *
     * @param rules 防护规则列表
     * @return true/false
     */
    boolean processing(List<Rule> rules);
}
